# $Revision: 1.22 $, $Date: 2012/03/23 15:25:39 $
Summary:	KB extension headers
Summary(pl.UTF-8):	Pliki nagłówkowe rozszerzenia KB
Name:		xorg-proto-kbproto
Version:	1.0.6
Release:	1
License:	MIT
Group:		X11/Development/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/proto/kbproto-%{version}.tar.bz2
# Source0-md5:	677ea8523eec6caca86121ad2dca0b71
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	docbook-dtd43-xml
BuildRequires:	xmlto >= 0.0.22
BuildRequires:	xorg-sgml-doctools >= 1.8
BuildRequires:	xorg-util-util-macros >= 1.12
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KB (XKEYBOARD) extension headers.

%description -l pl.UTF-8
Pliki nagłówkowe rozszerzenia KB (XKEYBOARD).

%package devel
Summary:	KB extension headers
Summary(pl.UTF-8):	Pliki nagłówkowe rozszerzenia KB
Group:		X11/Development/Libraries
Requires:	xorg-proto-xproto-devel

%description devel
KB (XKEYBOARD) extension headers.

%description devel -l pl.UTF-8
Pliki nagłówkowe rozszerzenia KB (XKEYBOARD).

%prep
%setup -q -n kbproto-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc COPYING ChangeLog README specs/{XKBproto-*.svg,xkbproto.html}
%{_includedir}/X11/extensions/XKB*.h
%{_pkgconfigdir}/kbproto.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-proto-kbproto.spec,v $
Revision 1.22  2012/03/23 15:25:39  qboosh
- updated to 1.0.6

Revision 1.21  2011/01/29 00:08:06  sparky
- dropped pre-cvs changelog

Revision 1.20  2010/08/11 06:18:13  qboosh
- updated ac version
- added README to doc

Revision 1.19  2010/08/10 16:32:42  arekm
- up to 1.0.5

Revision 1.18  2009/10/13 20:24:28  qboosh
- updated to 1.0.4

Revision 1.17  2008/07/27 22:23:41  arekm
- release 2

Revision 1.16  2007-02-12 22:09:24  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.14  2006/07/19 07:19:01  qboosh
- updated to 1.0.3

Revision 1.13  2006/05/14 17:11:09  arekm
- no more X11R7.0 in setup

Revision 1.12  2006/05/08 17:07:57  arekm
- update md5sum for individual files.

Revision 1.11  2006/05/08 17:00:03  arekm
- switch to individual files

Revision 1.10  2006/02/03 20:26:25  pluto
- release 1.

Revision 1.9  2005/12/22 13:06:50  qboosh
- sources from X11R7.0 release

Revision 1.8  2005/12/19 15:59:06  qboosh
- 1.0.2 (X11R7.0-RC4)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/20 12:51:06  qboosh
- BR: autoconf >= 2.57

Revision 1.5  2005/10/20 10:49:55  qboosh
- 1.0.1 (X11R7.0-RC1)

Revision 1.4  2005/08/27 19:32:50  wiget
- kill /usr/X11R6

Revision 1.3  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.2  2005/08/27 16:12:43  qboosh
- cleanups

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs
